import { AfterViewInit, EventEmitter, OnChanges, OnDestroy, Renderer2 } from '@angular/core';
import { IMasonryGalleryImage } from './masonry-gallery-models';
export declare class MasonryGalleryComponent implements AfterViewInit, OnDestroy, OnChanges {
    private renderer;
    images: IMasonryGalleryImage[];
    width: number;
    gutter: number;
    imageClasses: string[];
    clickImage: EventEmitter<IMasonryGalleryImage>;
    /**
     * Unique gallery guid used for distinguishing between multiple galleries on page
     */
    readonly galleryGuid: string;
    private readonly mansonryItemSelectorClass;
    private readonly hiddenClass;
    private msnry?;
    private grid?;
    private viewReady;
    private masonryInitialized;
    constructor(renderer: Renderer2);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    handleClick(image: IMasonryGalleryImage): void;
    ngAfterViewInit(): void;
    private initMasonry();
    private getImageClass();
    private getImageId();
    private handleImageLoad(imageId);
}
